package modele

enum class TypeShape(private var shape: Array<Position>) {
    ZStair(arrayOf(Position(-1, 1), Position(0, 1), Position(0, 0), Position(1, 1))),
    SStair(arrayOf(Position(-1,0),Position(0,0),Position(0,1),Position(1,1))),
    LRight(arrayOf(Position(-1,0),Position(0,0),Position(0,1),Position(0,2))),
    LLeft(arrayOf(Position(0,2),Position(0,1),Position(0,0),Position(1,0))),
    TShape(arrayOf(Position(-1,0),Position(0,0),Position(0,-1),Position(1,0))),
    IShape(arrayOf(Position(0,0),Position(0,1),Position(0,2),Position(0,3))),
    SquareShape(arrayOf(Position(0,0),Position(0,-1),Position(1,-1),Position(1,0)));

    // The getter of the array of position of the enum shape
    fun getShape(): Array<Position> = this.shape.copyOf()
}